function [count,index]=count_valid(dates,parin,mol,rain,dummymol,dummypar,maxcount,selection_parms)
if nargin<7
    maxcount=size(dates,1);
end
count=0;
for i=1:maxcount
    if (parin(i,1)<=0 && selection_parms.day==true) || parin(i,1)==dummypar % night time conditions skipped
       continue;
    end
    if (parin(i,1) > 0 && selection_parms.day==false) || parin(i,1)==dummypar % day time conditions skipped
        continue;
    end
    if rain(i,1)~=0 
        continue;
    end
    
    if selection_parms.MOL_thresh_right ==selection_parms.MOL_neutral && ...
            selection_parms.MOL_thresh_left == selection_parms.MOL_neutral
        if abs(mol(i,1))< selection_parms.MOL_neutral || mol(i,1)==dummymol % neutral conditions required
            continue;
        end
    elseif mol(i,1)< selection_parms.MOL_thresh_left || mol(i,1) > selection_parms.MOL_thresh_right || mol(i,1)==dummymol 
            continue; % skip conditions with MOL out of range
    end
    
    count=count+1;
    index(count,1)=i;
    
end
return;
end
