function [zgrid]=create_grid(zmast,Lev_up,dz, bottomlev)
% creates vertical grid for calculations of concentration profile

if nargin<4
    bottomlev=1;
end
zgrid(1)=zmast(Lev_up);
for i=2:1000000
    zgrid(i)=zgrid(i-1)-dz;
    if zgrid(i)<bottomlev
        zgrid(i)=[];
        break;
    end
end

return;

end