function [parts_grid]=partitioning_photo(zgrid);
% defines partitioning of total flux through canopy on heights

global hcanopy ext_coeff;
maxsize=size(zgrid,2);
parts_grid=zeros(1,maxsize);
for i=maxsize-2:-1:1
    if (zgrid(1,i+1)<hcanopy)
    parts_grid(i)=exp(-ext_coeff)*(exp(ext_coeff*zgrid(i)/hcanopy)-exp(ext_coeff*zgrid(i+1)/hcanopy))/(1-exp(-ext_coeff));
    end
end
parts_grid(maxsize-1)=exp(-ext_coeff)*(exp(ext_coeff*zgrid(maxsize-1)/hcanopy)-exp(ext_coeff*0/hcanopy))/(1-exp(-ext_coeff));
sum(sum(parts_grid))
return;
end