function [fluxes]=prof_flux(zgrid,fc,partitioning)
% set fluxes according to 
maxsize=size(zgrid,2);
for i=maxsize:-1:1
    if nargin<3
        fluxes(i)=fc;% constant flux
    else
        if abs(sum(partitioning)-1)>0.1
            'sum of elements in  {partitioning} should be equal to 1'
             xlswrite('partitioning.xlsx',partitioning');
            pause;
        end
        fluxes(i)=fc*sum(partitioning(i:maxsize));
    end
end
return;
end