function [sigw]=prof_sigw_raupach88(hcanopy,ust,sigwh,zgrid,beta1)
% sets vertical profile of sigmaw according to relation from Raupach, 1988.
% QJRMetSoc.
if nargin<5
    beta1=0.6;
end

for i=size(zgrid,2):-1:1
    if zgrid(i)>hcanopy
        sigw(i)=sigw(i+1);
        continue;
    end
    sigw(i)=sigwh*power(zgrid(i)/hcanopy,beta1);
end
end