function [f,dfdz]=HF08_lower_height(zlow)
% defines relationship for the lower height (zlow) of applicability of HF08
% theory; f(zlow)=0 is the solution
 global carm_ hcan_ betta_ Lc_;
 
 exppp=exp(0.5*(zlow-hcan_)/betta_^2/Lc_);
 f=(0.5*carm_/hcan_/betta_^3/Lc_)*zlow^2-exppp;
 
 if nargout==2
     dfdz=(carm_/hcan_/betta_^3/Lc_)*zlow-(0.5/betta_^2/Lc_)*exppp;
 end

end