function [tlscale]=prof_tl_Massman(hcanopy,ust,zgrid,sigw,sigwh,A2)
% sets Lagrangian time scale accordin to relation by Massman (as cited from Haverd, et.al., 2009.
% Boundary Layer Meteo). Above canopy constant value is used. 

for i=size(zgrid,2):-1:1
    if zgrid(i)>hcanopy
        tlscale=tlscale(i+1);
    end
    tlscale(i)=A2*(hcanopy/ust)*power(0.25*sigwh/sigw(i),0.5);
end

return;
end